Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlDriver.DriverFeature

    java.lang.Object
      java.lang.Enum<QSqlDriver.DriverFeature>
          com.trolltech.qt.sql.QSqlDriver.DriverFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlDriver.DriverFeature>

Enclosing class:
  QSqlDriver

    public static enum QSqlDriver.DriverFeature

extends java.lang.Enum<QSqlDriver.DriverFeature>
implements QtEnumerator

This enum contains a list of features a driver might support. Use `hasFeature` to query whether a feature is supported or not.

More information about supported features can be found in the Qt SQL driver documentation.

See Also:
  `hasFeature`

Enum Constant Summary
`BatchOperations` Whether the driver supports batched operations, see QSqlResult::execBatch()
`BLOB` Whether the driver supports Binary Large Object fields.
`LastInsertId` Whether the driver supports returning the Id of the last touched row.
`LowPrecisionNumbers` Whether the driver allows fetching numerical values with low precision.
`NamedPlaceholders` Whether the driver supports the use of named placeholders.
`PositionalPlaceholders` Whether the driver supports the use of positional placeholders.
`PreparedQueries` Whether the driver supports prepared query execution.
`QuerySize` Whether the database is capable of reporting the size of a query.
`SimpleLocking` Whether the driver disallows a write lock on a table while other queries have a read lock on it.
`Transactions` Whether the driver supports SQL transactions.
`Unicode` Whether the driver supports Unicode strings if the database server does.

Method Summary
`static QSqlDriver.DriverFeature` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlDriver.DriverFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlDriver.DriverFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Transactions

    public static final QSqlDriver.DriverFeature Transactions

  Whether the driver supports SQL transactions.

### QuerySize

    public static final QSqlDriver.DriverFeature QuerySize

  Whether the database is capable of reporting the size of a query. Note that some databases do not support returning the size (i.e. number of rows returned) of a query, in which case QSqlQuery::size() will return -1.

### BLOB

    public static final QSqlDriver.DriverFeature BLOB

  Whether the driver supports Binary Large Object fields.

### Unicode

    public static final QSqlDriver.DriverFeature Unicode

  Whether the driver supports Unicode strings if the database server does.

### PreparedQueries

    public static final QSqlDriver.DriverFeature PreparedQueries

  Whether the driver supports prepared query execution.

### NamedPlaceholders

    public static final QSqlDriver.DriverFeature NamedPlaceholders

  Whether the driver supports the use of named placeholders.

### PositionalPlaceholders

    public static final QSqlDriver.DriverFeature PositionalPlaceholders

  Whether the driver supports the use of positional placeholders.

### LastInsertId

    public static final QSqlDriver.DriverFeature LastInsertId

  Whether the driver supports returning the Id of the last touched row.

### BatchOperations

    public static final QSqlDriver.DriverFeature BatchOperations

  Whether the driver supports batched operations, see QSqlResult::execBatch()

### SimpleLocking

    public static final QSqlDriver.DriverFeature SimpleLocking

  Whether the driver disallows a write lock on a table while other queries have a read lock on it.

### LowPrecisionNumbers

    public static final QSqlDriver.DriverFeature LowPrecisionNumbers

  Whether the driver allows fetching numerical values with low precision.

Method Detail

### values

    public static final QSqlDriver.DriverFeature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlDriver.DriverFeature c : QSqlDriver.DriverFeature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlDriver.DriverFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlDriver.DriverFeature resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD